html, body {
    height: 100%;
    background: #000;
    padding-top: 40px;
}

ul#flex-container {
    list-style-type: none;
    margin: 0; padding: 0;
    display:flex;
    flex-wrap: wrap;
}

ul li {
    flex-grow:1;
    width: 250px;
    padding-top: 45px;
    color: #fff;
    font-weight: bold;
    font-size: 2.2em;
    text-align: center;
    margin: 0;
    padding: 0;
    position: relative;
}

ul li img {
    width: 100%;
}

ul li span {
    position: absolute;
    color: #fff;
    bottom: 7px;
    left: 15px;
    font-size: .6em;
    z-index: 3;
    font-family: "raleway"
}

ul li:after {
    content: '';
    position: absolute;
    left: 0; top: 0;
    width: 100%;
    height: 100%;
    display: inline-block;
    cursor: pointer;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#000000+0,000000+100&0+0,0.65+99 */
background: -moz-linear-gradient(top, rgba(0,0,0,0) 0%, rgba(0,0,0,0.65) 99%, rgba(0,0,0,0.65) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(top, rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 99%,rgba(0,0,0,0.65) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 99%,rgba(0,0,0,0.65) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 ); /* IE6-9 */
    
 
}

.magnify {
    background:url(../images/magnify.png) no-repeat;
    position: absolute;
    z-index: 5;
    width: 54px;
    height: 55px;
    opacity: 0;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%)
}

ul li:hover .magnify {
    opacity: 1 !important;
}

ul li:hover {
    opacity: .8;
}